using UnityEngine;
using System.Collections;

public class CheckpointScript : MonoBehaviour
{

	public CheckpointSupervisor checkpointSupervisor;
	public int number;
	
	public bool visited;
	public int activeDuringLap;
	
	// Use this for initialization
	void Start ()
	{
		visited = false;
		activeDuringLap = 1;
	}

	// Update is called once per frame
	void Update ()
	{
		if(visited && checkpointSupervisor.GetCurrentLap() == (activeDuringLap + 1))
		{
			activeDuringLap++;
			visited = false;
		}
	}

	void OnTriggerEnter ()
	{
		if (visited == false)
		{
			visited = true;
			checkpointSupervisor.Notify(number);
		}
		
		if (visited && checkpointSupervisor.lastCheckpoint){
			checkpointSupervisor.Notify(number);
		}
		
	}
}
