using UnityEngine;
using System.Collections;

public class PushToStartScript : MonoBehaviour {
	
	private Color _materialColor;
	private float _alphaMod = 5f;

	
	// Use this for initialization
	void Start () {
		_materialColor = renderer.sharedMaterial.color;
	}
	
	// Update is called once per frame
	void Update () {
		_materialColor.a = Mathf.Sin(Time.time * _alphaMod);
		renderer.sharedMaterial.color = _materialColor;
	}
}

