using UnityEngine;
using System.Collections;

public class VectorSet
{
	private Vector3 _startPosition;
	private Vector3 _endPosition;
	private Vector3 _currentPosition;
	private bool _active;
	
	public VectorSet (Vector3 starPosition, Vector3 endPosition, bool startPosition)
	{
		_startPosition = starPosition;
		_endPosition = endPosition;
		_active = true;
		
		if(startPosition) {
			_currentPosition = _startPosition;
		} else {
			_currentPosition = _endPosition;
		}
	}
	
	public Vector3 getStartPosition ()
	{
		return _startPosition;
	}

	public Vector3 getEndPosition ()
	{
		return _endPosition;
	}

	public void setStartPosition (Vector3 startPosition)
	{	
		_startPosition = startPosition;
	}

	public void setEndPosition (Vector3 endPosition)
	{
		_endPosition = endPosition;
	}
	
	public Vector3 getCurrentPosition (){
		return _currentPosition;
	}
	
	public void setCurrentPosition(Vector3 currentPosition){
		_currentPosition = currentPosition;
	}
	
		public bool isActive(){
		return _active;
	}
	
	public void setActive(){
		_active = true;
	}
	
	public void setInActive(){
		_active = false;
	}
}